javax.json.stream

## Interface JsonParserFactory

-     public interface JsonParserFactory

  Factory for creating `JsonParser` instances. If a factory instance is configured with a configuration, the configuration applies to all parser instances created using that factory instance.

  The class `Json` also provides methods to create `JsonParser` instances, but using `JsonParserFactory` is preferred when creating multiple parser instances as shown in the following example:

       JsonParserFactory factory = Json.createParserFactory();
       JsonParser parser1 = factory.createParser(...);
       JsonParser parser2 = factory.createParser(...);

  All the methods in this class are safe for use by multiple concurrent threads.

  Author:
    Jitendra Kotamraju

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonParser` | `createParser(InputStream in)` Creates a JSON parser from the specified byte stream.
    `JsonParser` | `createParser(InputStream in, Charset charset)` Creates a JSON parser from the specified byte stream.
    `JsonParser` | `createParser(JsonArray array)` Creates a JSON parser from the specified JSON array.
    `JsonParser` | `createParser(JsonObject obj)` Creates a JSON parser from the specified JSON object.
    `JsonParser` | `createParser(Reader reader)` Creates a JSON parser from a character stream.
    `Map<String,?>` | `getConfigInUse()` Returns a read-only map of supported provider specific configuration properties that are used to configure the JSON parsers.

- - ### Method Detail

    - #### createParser

          JsonParser createParser(Reader reader)

      Creates a JSON parser from a character stream.
      Parameters:
        `reader` - a i/o reader from which JSON is to be read

    - #### createParser

          JsonParser createParser(InputStream in)

      Creates a JSON parser from the specified byte stream. The character encoding of the stream is determined as specified in RFC 4627.
      Parameters:
        `in` - i/o stream from which JSON is to be read
      Throws:
        `JsonException` - if encoding cannot be determined or i/o error (IOException would be cause of JsonException)

    - #### createParser

          JsonParser createParser(InputStream in,
                                Charset charset)

      Creates a JSON parser from the specified byte stream. The bytes of the stream are decoded to characters using the specified charset.
      Parameters:
        `in` - i/o stream from which JSON is to be read
        `charset` - a charset

    - #### createParser

          JsonParser createParser(JsonObject obj)

      Creates a JSON parser from the specified JSON object.
      Parameters:
        `obj` - a JSON object

    - #### createParser

          JsonParser createParser(JsonArray array)

      Creates a JSON parser from the specified JSON array.
      Parameters:
        `array` - a JSON array

    - #### getConfigInUse

          Map<String,?> getConfigInUse()

      Returns a read-only map of supported provider specific configuration properties that are used to configure the JSON parsers. If there are any specified configuration properties that are not supported by the provider, they won't be part of the returned map.
      Returns:
        a map of supported provider specific properties that are used to configure the created parsers. The map may be empty but not null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.